Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math
Class MathConfigurationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.commons.math.MathException
                  org.apache.commons.math.MathConfigurationException

All Implemented Interfaces:
  Serializable

public class MathConfigurationException
extends MathException
implements Serializable

Signals a configuration problem with any of the factory methods.

Version:
  $Revision: 1.18 $ $Date: 2004/06/23 16:26:16 $
See Also:
  Serialized Form

Field Summary
`(package private) static long` | `serialVersionUID` Serializable version identifier

Constructor Summary
`MathConfigurationException()` Default constructor.
`MathConfigurationException(String message)` Construct an exception with the given message.
`MathConfigurationException(String message, Throwable throwable)` Construct an exception with the given message and root cause.
`MathConfigurationException(Throwable throwable)` Construct an exception with the given root cause.

Methods inherited from class org.apache.commons.math.MathException
`getCause, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    static final long serialVersionUID

  Serializable version identifier

  See Also:
    Constant Field Values

Constructor Detail

### MathConfigurationException

    public MathConfigurationException()

  Default constructor.

### MathConfigurationException

    public MathConfigurationException(String message)

  Construct an exception with the given message.

Parameters:
  `message` - message describing the problem

### MathConfigurationException

    public MathConfigurationException(String message,
                                      Throwable throwable)

  Construct an exception with the given message and root cause.

Parameters:
  `message` - message describing the problem
  `throwable` - caught exception causing this problem

### MathConfigurationException

    public MathConfigurationException(Throwable throwable)

  Construct an exception with the given root cause.

Parameters:
  `throwable` - caught exception causing this problem

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2004 The Apache Software Foundation. All Rights Reserved.